## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanUTF16Writer Class Reference

`#include <XalanUTF16Writer.hpp>`

Inheritance diagram for XalanUTF16Writer:

[legend]
Collaboration diagram for XalanUTF16Writer:

[legend]
List of all members.

## Public Types

- typedef XalanDOMChar value_type

## Public Methods

- XalanUTF16Writer (Writer &writer, MemoryManager &theMemoryManager)
- virtual ~XalanUTF16Writer ()
- void outputNewline ()
    Output a line break. More...
- size_type writeCDATAChar (const XalanDOMChar chars[], size_type start, size_type, bool &)
- void writeNameChar (const XalanDOMChar *data, size_type theLength)
    Writes name chars , if not presentable, throws. More...
- void writePIChars (const XalanDOMChar *data, size_type theLength)
    Writes name chars , if not presentable, throws. More...
- void writeCommentChars (const XalanDOMChar *data, size_type theLength)
    Writes name chars , if not presentable, throws. More...
- void safeWriteContent (const XalanDOMChar *theChars, size_type theLength)
- void write (const value_type *theChars, size_type theLength)
- void write (const XalanDOMString &theChars)
- void write (value_type theChar)
- size_type write (const value_type chars[], size_type start, size_type)
- void writeSafe (const XalanDOMChar *theChars, size_type theLength)
- void write (const value_type *theChars)
- void flushBuffer ()

## Member Typedef Documentation

typedef XalanDOMChar XalanUTF16Writer::value_type

## Constructor & Destructor Documentation

XalanUTF16Writer::XalanUTF16Writer ( | Writer & writer,
| MemoryManager & theMemoryManager )

XalanUTF16Writer::~XalanUTF16Writer ( | )`[virtual]`

## Member Function Documentation

void XalanUTF16Writer::flushBuffer ( | )

void XalanUTF16Writer::outputNewline ( | )

| Output a line break.

void XalanUTF16Writer::safeWriteContent ( | const XalanDOMChar * theChars,
| size_type theLength )

void XalanUTF16Writer::write ( | const value_type * theChars )

size_type XalanUTF16Writer::write ( | const value_type chars[],
| size_type start,
| size_type )

void XalanUTF16Writer::write ( | value_type theChar )

void XalanUTF16Writer::write ( | const XalanDOMString & theChars )

void XalanUTF16Writer::write ( | const value_type * theChars,
| size_type theLength )

size_type XalanUTF16Writer::writeCDATAChar ( | const XalanDOMChar chars[],
| size_type start,
| size_type,
| bool & )

void XalanUTF16Writer::writeCommentChars ( | const XalanDOMChar * data,
| size_type theLength )

| Writes name chars , if not presentable, throws.

void XalanUTF16Writer::writeNameChar ( | const XalanDOMChar * data,
| size_type theLength )

| Writes name chars , if not presentable, throws.

void XalanUTF16Writer::writePIChars ( | const XalanDOMChar * data,
| size_type theLength )

| Writes name chars , if not presentable, throws.

void XalanUTF16Writer::writeSafe ( | const XalanDOMChar * theChars,
| size_type theLength )

The documentation for this class was generated from the following file:

- XalanUTF16Writer.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.